Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://api.example.com/providers/{id}/tools/{toolID} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "tool": { "providerID": "kSuB9Gf6aD4", "method": "GET", "path": "/users/{id}", "name": "makePayment", "title": "Make Payment", "description": "<string>", "pathArgsJSONSchema": {}, "queryArgsJSONSchema": {}, "reqBodyJSONSchema": {}, "headers": [ { "key": "<string>", "value": "<string>" } ], "oauth2Scopes": [ "<string>" ] } } '
{ "tool": { "id": "kSuB9Gf6aD4", "providerID": "kSuB9Gf6aD4", "method": "GET", "path": "/users/{id}", "name": "makePayment", "title": "Make Payment", "description": "<string>", "pathArgsJSONSchema": {}, "queryArgsJSONSchema": {}, "reqBodyJSONSchema": {}, "headers": [ { "key": "<string>", "value": "<string>" } ], "oauth2Scopes": [ "<string>" ] } }
The access token received from the authorization server in the OAuth 2.0 flow.
Provider ID
Tool ID
Show child attributes
Tool updated